#ifndef _PAC_VID_H_
#define _PAC_VID_H_

void initpac(void);
void initpacplus(void);
void clearpac(void);
void pacintwrite(UINT16 offset, UINT8 value, struct z80PortWrite *pw);
void pacvideowrite(UINT32 offset, UINT8 value, struct MemoryWriteByte * mwb);
void paccolwrite(UINT32 offset, UINT8 value, struct MemoryWriteByte * mwb);
void pacint(void);
void pacsetpal(pBYTE pIn);
void pacupdatescreen(void);
void drawpacsprites(void);
void drawpacchars(void);
void markpacdirt(int x,int y);
void markpacdirtreal(int x,int y);
void pacplusdecode(void);
void initeyes(void);
void eyesdecode(void);
void eyesdecodegfx(pBYTE pIn,int nType);
void pacintvw(UINT16 offset, UINT8 value, struct z80PortWrite *zpw);
void vanvanint(void);
void vanvandatescreen(void);
void checkspeed(void);
void pacintenablew(UINT32 offset, UINT8 value, struct MemoryWriteByte * mwb);
void inittheglob(void);
void theglob_decrypt_rom_8(void);
void theglob_decrypt_rom_9(void);
void theglob_decrypt_rom_A(void);
void theglob_decrypt_rom_B(void);
UINT16 theglobdecrypt(UINT16 offset, struct z80PortRead *zpr);
UINT8 dreamnon(UINT32 offset,struct MemoryReadByte * mrb);
void dreamint(void);

#endif
